diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 905cf1b..2472ed4 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -3697,6 +3697,23 @@ Math. Tables Aids Comput. 10 91--96. (1956)
 
 \subsection{Z} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Zakrajsek 02]{Zak02} Zakrajsek, Helena\\
+``Applications of Hermite transform in computer algebra''\\
+\verb|www.imfm.si/preprinti/PDF/00835.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Zak02.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+let $L$ be a linear differential operator with polynomial coefficients.
+We show that there is an isomorphism of differential operators 
+${\bf D_\alpha}$ and an integral transform ${\bf H_\alpha}$ (called the
+Hermite transform) on functions for which $({\bf D_\alpha}{\bf L})f(x)=0$
+implies ${\bf L}{\bf H_alpha}(f)(x)=0$. We present an algorithm that
+computes the Hermite transform of a rational function and use it to find
+$n+1$ linearly independent solutions of ${\bf L}y=0$ when
+$({\bf D_\alpha}{\bf L})f(x)=0$ has a rational solution with $n$
+distinct finite poles.
+\end{adjustwidth}
+
 \bibitem[Zhi 97]{Zhi97} Zhi, Lihong\\
 ``Optimal Algorithm for Algebraic Factoring''\\
 \verb|www.mmrc.iss.ac.cn/~lzhi/Publications/zopfac.pdf|
@@ -3905,7 +3922,7 @@ subjects encountered during the thesis.
 \bibitem[Shoup 93]{ST-PGCD-Sh93} Shoup, Victor\\
 ``Factoring Polynomials over Finite Fields: Asymptotic Complexity vs
 Reality*''\\
-Proc. IMACS Symposium, Lille, France, (1993)
+Proc. IMACS Symposium, Lille, France, (1993)\\
 \verb|www.shoup.net/papers/lille.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/ST-PGCD-Sh93.pdf|
 
@@ -3956,7 +3973,7 @@ comparison of the two algorithms using implementations in Maple.
 
 \bibitem[Wang 78]{Wang78} Wang, Paul S.\\
 ``An Improved Multivariate Polynomial Factoring Algorithm''\\
-Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
+Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231\\
 \verb|www.ams.org/journals/mcom/1978-32-144/S0025-5718-1978-0568284-3/|
 \verb|S0025-5718-1978-0568284-3.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Wang78.pdf|
@@ -4460,6 +4477,34 @@ in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 
 \subsection{Numerics} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
+\bibitem[Atkinson 09]{Atk09} Atkinson, Kendall; Han, Welmin; Stewear, David\\
+``Numerical Solution of Ordinary Differential Equations''\\
+\verb|homepage.math.uiowa.edu/~atkinson/papers/NAODE_Book.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Atk09.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This book is an expanded version of supplementary notes that we used
+for a course on ordinary differential equations for upper-division
+undergraduate students and beginning graduate students in mathematics,
+engineering, and sciences. The book introduces the numerical analysis
+of differential equations, describing the mathematical background for
+understanding numerical methods and giving information on what to
+expect when using them. As a reason for studying numerical methods as
+a part of a more general course on differential equations, many of the
+basic ideas of the numerical analysis of differential equations are
+tied closely to theoretical behavior associated with the problem being
+solved. For example, the criteria for the stability of a numerical
+method is closely connected to the stability of the differential
+equation problem being solved.
+\end{adjustwidth}
+
+\bibitem[Crank 96]{Cran96} Crank, J.; Nicolson, P.\\
+``A practical method for numerical evaluations of solutions of partial differential equations of heat-conduction type''\\
+Advances in Computational Mathematics Vol 6 pp207-226 (1996)\\
+\verb|www.acms.arizona.edu/FemtoTheory/MK_personal/opti547/literature/|
+\verb|CNMethod-original.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Cran96.pdf|
+
 \bibitem[Lef\'evre 06]{Lef06} Lef\'evre, Vincent; Stehl\'e, Damien;
 Zimmermann, Paul\\
 ``Worst Cases for the Exponential Function 
@@ -4885,9 +4930,25 @@ MacRobert and others.  An integral involving regular radial Coulomb
 wave function is also obtained as a particular case.
 \end{adjustwidth}
 
+\bibitem[Bronstein 89]{Bro89a} Bronstein, M.\\ 
+``An Algorithm for the Integration of Elementary Functions''\\
+Lecture Notes in Computer Science Vol 378 pp491-497 (1989)
+%\verb|axiom-developer.org/axiom-website/papers/Bro89a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Trager (1984) recently gave a new algorithm for the indefinite
+integration of algebraic functions. His approach was ``rational'' in
+the sense that the only algebraic extension computed in the smallest
+one necessary to express the answer. We outline a generalization of
+this approach that allows us to integrate mixed elementary
+functions. Using only rational techniques, we are able to normalize
+the integrand, and to check a necessary condition for elementary
+integrability.
+\end{adjustwidth}
+
 \bibitem[Bronstein 97]{Bro97} Bronstein, M.\\ 
 ``Symbolic Integration I--Transcendental Functions.''\\
-Springer, Heidelberg, 1997 ISBN 3-540-21493-3
+Springer, Heidelberg, 1997 ISBN 3-540-21493-3\\
 \verb|evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Bro97.pdf|
 
@@ -4897,9 +4958,38 @@ Springer, Heidelberg, 1997 ISBN 3-540-21493-3
 \verb|www-sop.inria.fr/cafe/Manuel.Bronstein/pmint/examples|
 %\verb|axiom-developer.org/axiom-website/papers/Bro05a.txt|
 
+\bibitem[Charlwood 07]{Charl07} Charlwood, Kevin\\
+``Integration on Computer Algebra Systems''\\
+The Electronic J of Math. and Tech. Vol 2, No 3, ISSN 1933-2823
+\verb|12000.org/my_notes/ten_hard_integrals/paper.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Charl07.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this article, we consider ten indefinite integrals and the ability
+of three computer algebra systems (CAS) to evaluate them in
+closed-form, appealing only to the class of real, elementary
+functions. Although these systems have been widely available for many
+years and have undergone major enhancements in new versions, it is
+interesting to note that there are still indefinite integrals that
+escape the capacity of these systems to provide antiderivatves. When
+this occurs, we consider what a user may do to find a solution with
+the aid of a CAS.
+\end{adjustwidth}
+
+\bibitem[Charlwood 08]{Charl08} Charlwood, Kevin\\
+``Symbolic Integration Problems''\\
+\verb|www.apmaths.uwo.ca/~arich/IndependentTestResults/CharlwoodIntegrationProblems.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Charl08.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A list of the 50 example integration problems from Kevin Charlwood's 2008
+article ``Integration on Computer Algebra Systems''. Each integral along
+with its optimal antiderivative (that is, the best antiderivative found
+so far) is shown.
+\end{adjustwidth}
+
 \bibitem[Cherry 84]{Che84} Cherry, G.W.\\
-``Integration in Finite Terms with Special Functions: 
-The Error Function''\\
+``Integration in Finite Terms with Special Functions: The Error Function''\\
 J. Symbolic Computation (1985) Vol 1 pp283-302
 %\verb|axiom-developer.org/axiom-website/papers/Che84.pdf|
 
@@ -4925,6 +5015,26 @@ SIAM J. Comput. Vol 15 pp1-21 February 1986
 \bibitem[Cherry 89]{Che89} Cherry, G.W.\\
 ``An Analysis of the Rational Exponential Integral''\\
 SIAM J. Computing Vol 18 pp 893-905 (1989)
+%\verb|axiom-developer.org/axiom-website/papers/Che89.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+In this paper an algorithm is presented for integrating expressions of
+the form $\int{ge^f~dx}$, where $f$ and $g$ are rational functions of
+$x$, in terms of a class of special functions called the special
+incomplete $\Gamma$ functions. This class of special functions
+includes the exponential integral, the error functions, the sine and
+cosing integrals, and the Fresnel integrals. The algorithm presented
+here is an improvement over those published previously for integrating
+with special functions in the following ways: (i) This algorithm
+combines all the above special functions into one algorithm, whereas
+previously they were treated separately, (ii) Previous algorithms
+require that the underlying field of constants be algebraically
+closed. This algorithm, however, works over any field of
+characteristic zero in which the basic field operations can be carried
+out. (iii) This algorithm does not rely on Risch's solution of the
+differential equation $y^\prime + fy = g$. Instead, a more direct
+method of undetermined coefficients is used.
+\end{adjustwidth}
 
 \bibitem[Churchill 06]{Chur06} Churchill, R.C.\\
 ``Liouville's Theorem on Integration Terms of Elementary Functions''\\
@@ -4988,6 +5098,24 @@ Algorithms for Computer Algebra, Ch 12 pp511-573 (1992)
 ``The Integration of Functions of a Single Variable''\\
 Cambridge Unversity Press, Cambridge, 1916
 
+\bibitem[Harrington 78]{Harr87} Harrington, S.J.\\
+``A new symbolic integration system in reduce''\\
+\verb|comjnl.oxfordjournals.or/content/22/2/127.full.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Harr87.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+A new integration system, employing both algorithmic and pattern match
+integration schemes is presented. The organization of the system
+differs from that of earlier programs in its emphasis on the
+algorithmic approach to integration, its modularity and its ease of
+revision. The new Norman-Rish algorithm and its implementation at the
+University of Cambridge are employed, supplemented by a powerful
+collection of simplification and transformation rules. The facility
+for user defined integrals and functions is also included. The program
+is both fast and powerful, and can be easily modified to incorporate
+anticipated developments in symbolic integration.
+\end{adjustwidth}
+
 \bibitem[Hermite 1872]{Her1872} Hermite, E.\\
 ``Sur l'int\'{e}gration des fractions rationelles.''\\
 {\sl Nouvelles Annales de Math\'{e}matiques}
@@ -5044,6 +5172,16 @@ and integration is with respect to a real variable.  Algorithms are
 given for evaluating such integrals.
 \end{adjustwidth}
 
+\bibitem[Kiymaz 04]{Kiym04} Kiymaz, Onur; Mirasyedioglu, Seref\\
+``A new symbolic computation for formal integration with exact power series''\\
+%\verb|axiom-developer.org/axiom-website/Kiym04.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+This paper describes a new symbolic algorithm for formal integration
+of a class of functions in the context of exact power series by using
+generalized hypergeometric series and computer algebraic technique.
+\end{adjustwidth}
+
 \bibitem[Knowles 93]{Know93} Knowles, P.\\
 ``Integration of a class of transcendental liouvillian
 functions with error-functions i''\\
@@ -5071,6 +5209,28 @@ $\mathcal{E}\mathcal{L}$-elementary extensions of Singer, Saunders and
 Caviness and contains the Gamma function.
 \end{adjustwidth}
 
+\bibitem[Leslie 09]{Lesl09} Leslie, Martin\\
+``Why you can't integrate exp($x^2$)''\\
+\verb|math.arizona.edu/~mleslie/files/integrationtalk.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Lesl09.pdf|
+
+\bibitem[Lichtblau 11]{Lich11} Lichtblau, Daniel\\
+``Symbolic definite (and indefinite) integration: methods and open issues''\\
+ACM Comm. in Computer Algebra Issue 175, Vol 45, No.1 (2011)\\
+\verb|www.sigsam.org/bulletin/articles/175/issue175.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Lich11.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+The computation of definite integrals presents one with a variety of
+choices. There are various methods such as Newton-Leibniz or Slater's
+convolution method. There are questions such as whether to split or
+merge sums, how to search for singularities on the path of
+integration, when to issue conditional results, how to assess
+(possibly conditional) convergence, and more. These various
+considerations moreover interact with one another in a multitude of
+ways. Herein we discuss these various issues and illustrate with examples.
+\end{adjustwidth}
+
 \bibitem[Liouville 1833a]{Lio1833a} Liouville, Joseph\\
 ``Premier m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
@@ -5099,6 +5259,26 @@ transcendentes''\\
 Journal f\"ur die Reine und Angewandte Mathematik,
 Vol 13(2) pp 93-118, (1835)
 
+\bibitem[Marc 94]{Marc94} Marchisotto, Elena Anne; Zakeri, Gholem-All\\
+``An Invitation to Integration in Finite Terms''\\
+College Mathematics Journal Vol 25 No 4 (1994) pp295-308\\
+\verb|www.rangevoting.org/MarchisottoZint.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Marc94.pdf|
+
+\bibitem[Moses 76]{Mos76} Moses, Joel\\
+``An introduction to the Risch Integration Algorithm''\\
+ACM Proc. 1976 annual conference pp425-428
+%\verb|axiom-developer.org/axiom-website/papers/Mos76.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Risch's decision procedure for determining the integrability in closed
+form of the elementary functions of the calculus is presented via
+examples.  The exponential and logarithmic cases of the algorithsm had
+been implemented for the MACSYMA system several years ago. The
+implementation of the algebraic case of the algorithm is the subject
+of current research.
+\end{adjustwidth}
+
 \bibitem[Moses 71a]{Mos71a} Moses, Joel\\
 ``Symbolic Integration: The Stormy Decade''\\
 \verb|www-inst.eecs.berkeley.edu/~cs282/sp02/readings/moses-int.pdf|
@@ -5214,9 +5394,9 @@ Columbia University Press, New York 1948
 
 \bibitem[Rosenlicht 68]{Ro68} Rosenlicht, Maxwell\\
 ``Liouville's Theorem on Functions with Elementary Integrals''\\
-Pacific Journal of Mathematics Vol 24 No 1 (1968)
+Pacific Journal of Mathematics Vol 24 No 1 (1968)\\
 \verb|msp.org/pjm/1968/24-1/pjm-v24-n1-p16-p.pdf|
-\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Ro68.pdf|
 
 \begin{adjustwidth}{2.5em}{0pt}
 Defining a function with one variable to be elemetary if it has an
@@ -5261,7 +5441,7 @@ Proc. Amer. Math. Soc. Vol 23 pp689-691 (1969)
 
 \bibitem[Singer 85]{Sing85} Singer, M.F.; Saunders, B.D.; Caviness, B.F.\\
 ``An extension of Liouville's theorem on integration in finite terms''\\
-SIAM J. of Comp. Vol 14 pp965-990 (1985)
+SIAM J. of Comp. Vol 14 pp965-990 (1985)\\
 \verb|www4.ncsu.edu/~singer/papers/singer_saunders_caviness.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Sing85.pdf|
 
@@ -5298,9 +5478,36 @@ for finding a least degree extension field in which the integral can
 be expressed.
 \end{adjustwidth}
 
+\bibitem[Trager 76a]{Tr76a} Trager, Barry Marshall\\
+``Algorithms for Manipulating Algebraic Functions''\\
+MIT Master's Thesis.\\
+\verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/fattorizzazione-EA.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Tr76a.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Given a base field $k$, of characteristic zero, with effective
+procedures for performing arithmetic and factoring polynomials, this
+thesis presents algorithms for extending those capabilities to
+elements of a finite algebraic symbolic manipulation system. An
+algebraic factorization algorithm along with a constructive version of
+the primitive element theorem is used to construct splitting fields of
+polynomials. These fields provide a context in which we can operate
+symbolically with all the roots of a set of polynomials. One
+application for this capability is rational function integrations. 
+Previously presented symbolic algorithms concentrated on finding the 
+rational part and were only able to compute the complete
+integral in special cases. This thesis presents an algorithm for
+finding an algebraic extension field of least degreee in which the
+integral can be expressed, and then constructs the integral in that
+field.  The problem of algebraic function integration is also
+examined, and a highly efficient procedure is presented for generating
+the algebraic part of integrals whose function fields are defined by a
+single radical extension of the rational functions.
+\end{adjustwidth}
+
 \bibitem[Trager 84]{Tr84} Trager, Barry\\
 ``On the integration of algebraic functions''\\
-PhD thesis, MIT, Computer Science, 1984
+PhD thesis, MIT, Computer Science, 1984\\
 \verb|www.dm.unipi.it/pages/gianni/public_html/Alg-Comp/thesis.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Tr84.pdf|
 
@@ -5362,6 +5569,17 @@ mentioned algorithms in the field of ODE's conclude this paper.
 This is used as a reference for the LeftOreRing category, in particular,
 the least left common multiple (lcmCoef) function.
 
+\bibitem[Abramov 97]{Abra97} Abramov, Sergei A.; van Hoeij, Mark\\
+``A method for the Integration of Solutions of Ore Equations''\\
+Proc ISSAC 97 pp172-175 (1997)
+%\verb|axiom-developer.org/axiom-website/papers/Abra97.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+We introduce the notion of the adjoint Ore ring and give a definition
+of adjoint polynomial, operator and equation. We apply this for
+integrating solutions of Ore equations.
+\end{adjustwidth}
+
 \bibitem[Delenclos 06]{DL06} Delenclos, Jonathon; Leroy, Andr\'e\\
 ``Noncommutative Symmetric functions and $W$-polynomials''\\
 \verb|arxiv.org/pdf/math/0606614.pdf|
diff --git a/changelog b/changelog
index 9068c57..cc966a4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140807 tpd src/axiom-website/patches.html 20140807.01.tpd.patch
+20140807 tpd books/bookvolbib add bibliographic references
 20140806 tpd src/axiom-website/patches.html 20140806.01.tpd.patch
 20140806 tpd Makefile merge include, lib, clef
 20140806 tpd books/Makefile merge include, lib, clef
diff --git a/patch b/patch
index b397b99..6c307c9 100644
--- a/patch
+++ b/patch
@@ -1,4 +1,4 @@
-merge and remove include, lib, and clef into books
+books/bookvolbib add bibliographic references
 
-The include, lib, and clef subdirectories have been merged into 
-the related books. The directories were removed from the src tree.
+add addition bibliographic references, some from Raoul Bourquin,
+in the subsection on integration.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3bd3b93..612cc52 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4604,6 +4604,8 @@ src/axiom-website/download.html add binary links<br/>
 Makefile, src/Makefile remove src/scripts directory<br/>
 <a href="patches/20140806.01.tpd.patch">20140806.01.tpd.patch</a>
 merge and remove include, lib, and clef into books<br/>
+<a href="patches/20140807.01.tpd.patch">20140807.01.tpd.patch</a>
+books/bookvolbib add bibliographic references<br/>
  </body>
 </html>
 
